/*------------------------------------------------------------------------------
#--  This file is a part of the libuc, microcontroler library
#--  Copyright (C) 2011, Alexis Jeandet
#--
#--  This program is free software; you can redistribute it and/or modify
#--  it under the terms of the GNU General Public License as published by
#--  the Free Software Foundation; either version 3 of the License, or
#--  (at your option) any later version.
#--
#--  This program is distributed in the hope that it will be useful,
#--  but WITHOUT ANY WARRANTY; without even the implied warranty of
#--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#--  GNU General Public License for more details.
#--
#--  You should have received a copy of the GNU General Public License
#--  along with this program; if not, write to the Free Software
#--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
#-------------------------------------------------------------------------------
#--                 Author : Alexis Jeandet
#--                   Mail : alexis.jeandet@gmail.com
#-------------------------------------------------------------------------------*/
#ifndef ADS1278_H
#define ADS1278_H
#include <uhandle.h>

typedef void (*set_clkdiv_t)(int val);
typedef void (*set_sync_t)(int val);
typedef void (*set_mode0_t)(int val);
typedef void (*set_mode1_t)(int val);
typedef void (*set_fsync_t)(int val);
typedef int  (*ready_t)();

struct ads1278Regs
{
 sspDev SSP_device;
 set_clkdiv_t	set_clkdiv;
 set_sync_t	set_sync;
 set_mode0_t	set_mode0;
 set_mode1_t	set_mode1;
 set_fsync_t	set_fsync;
 ready_t	ready;
};

typedef struct ads1278Regs ads1278Dev;

void ads1278open(ads1278Dev* codec,sspDev dev);
void ads1278sample(ads1278Dev* dev);
void ads1278readresult(ads1278Dev* dev,unsigned int* CH1,unsigned int* CH2,unsigned int* CH3,unsigned int* CH4,unsigned int* CH5,unsigned int* CH6,unsigned int* CH7,unsigned int* CH8);

extern void bsp_ads1278_Sample();
extern int bsp_ads1278_Ready();
extern void bsp_ads1278_Synch();

#endif


















